Subject: Re: bug#38294: [PATCH] Handle killing of virtual buffers in Ido

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Aug 2020 15:20:17 +0200

Stefan Kangas <[email-masked]> writes:

>> What this patch changes is exactly this behavior: once a virtual buffer
>> has been “killed” from C-x k, it no longer appears in the list of
>> buffers.
>>
>> Let me know if this makes sense.
>
> I think the current behaviour makes sense, but I can very much see
> that some users would want what you suggest.  Both choices here are
> valid.

I think so, too, but I don't use this combination of features, so I'm
not sure.

It does seem natural that killing a buffer would remove it from the list
of buffers ido-mode offers up, though, so I'm not totally sure whether
any ido users really expect this behaviour, or if they've just lived
with it as a bug.

Any opinions here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no